Error npm install

at any attempt to remove nodes from the palette. or install. update .... gives this series of errors, only the name of the node request is changed

Node-RED
Current version: 14.0.0

Home Assistant 2022.12.8
Supervisor 2022.11.2
Operating System 9.4
Frontend 20221213.1 - latest

2022-12-24T20:17:06.186Z npm install --no-audit --no-update-notifier --no-fund --save --save-prefix=~ --production --engine-strict node-red-contrib-home-assistant-websocket@0.47.2

2022-12-24T20:17:06.970Z [err] npm

2022-12-24T20:17:06.971Z [err] WARN

2022-12-24T20:17:06.971Z [err] config production Use --omit=dev instead.

I believe that is just a warning. Do the nodes work ok?

I believe that is just a warning. Do the nodes work ok?

the nodes are working. it's all good. the problem is that I can't supply new ones. delete, or update nodes in the palette.

I just can't do anything with the installed nodes. or put new ones

Is that the full log that you posted at the start?
I presume that you are installing using manage palette, is that correct? Does it say it failed when you do that?

this is an extract from the node event log, ed. after an attempt, for example, to remove nodes from the palette. he writes such a message. and nothing changes. it's the same with trying to update or install new nodes.


2022-12-24T21:24:54.521Z Установить : node-red-contrib-home-assistant-websocket 0.47.2

2022-12-24T21:24:55.732Z npm install --no-audit --no-update-notifier --no-fund --save --save-prefix=~ --production --engine-strict node-red-contrib-home-assistant-websocket@0.47.2


2022-12-24T21:25:00.489Z Установить : node-red-contrib-modbus 5.25.0


2022-12-24T21:25:07.792Z Установить : node-red-contrib-yandex-station-management 0.3.7

I think maybe you will have to ask on a home assistant forum, very few here use it.

I tried.. nobody knows there either. home assistant does not give errors. only this message is in node red itself. no one knows where to look.

Can you share more of the log output from when you try to install? We'd normally expect to see more than what your have shared so far.

I give you everything I have (there are no more messages or errors in the logs.... I understand that there is not enough information.. I myself do not understand this situation and the reason

2022-12-25T00:04:59.555Z Установить : node-red-contrib-yandex-quasar 1.0.0

2022-12-25T00:04:59.893Z npm install --no-audit --no-update-notifier --no-fund --save --save-prefix=~ --production --engine-strict node-red-contrib-yandex-quasar@1.0.0

2022-12-25T00:05:00.659Z [err] npm

2022-12-25T00:05:00.659Z [err] WARN

2022-12-25T00:05:00.659Z [err] config production Use --omit=dev instead.

s6-rc: info: service s6rc-oneshot-runner: startings6-rc: info: service s6rc-on - Pastebin.com